Bug 78425 - Source File Artifact is not created correctly for java project with existing ant script
Source File Artifact is not created correctly for java project with existing ...
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: Reverse Engineering
5.x
All All
: P1 (vote)
: TBD
Assigned To: Yang Su
issues@uml
UML_UST,COKE_REVIEWED
:
Depends on:
Blocks: 73840
  Show dependency treegraph
 
Reported: 2006-06-20 00:06 UTC by bugbridge
Modified: 2006-10-17 13:47 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugbridge 2006-06-20 00:06:43 UTC
Original status: 1-Dispatched; Suggested Status: NEW

These items should be added to the Status Whiteboard: UML_UST
Original submitter: akorostelev

Description:
Verified in Coke milestone 9.

Roundtrip doesn't work for java project with existing ant script.

How to reproduce:
- create java project with existing ant script.
- Create JAva-platform Model uml project. 
- Select 'Generate Code' checkbox and choose java project.
- After project is reverse engineered, close dialog windows.

BUG (file as one bug beccause it seems to have one cause): 
1) navigate to source doesn't work
2) Roundtrip doesn't work.


Comments:
I have used jakarta-oro-2.0.8 src project as an example.

There are a lot of threads on swforum, added UML_UST.
Comment 1 Trey Spiva 2006-08-09 18:07:34 UTC
When building the source file artifact, the path should be relative to the
NetBeans source root.
Comment 2 Yang Su 2006-09-22 23:58:02 UTC
In free from project, the source group folder is represented in a format like
${project.dir}/some_path, instead of just a var, e.g. ${src.dir}, there was a
flaw in processing this folder name when generating source file artifact infomation.
Comment 3 Andrew Korostelev 2006-10-17 13:47:45 UTC
verified in all-nbms-griffin-061016_9


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo